#include<bits/stdc++.h>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);	
	
	int n;
	
	cin >> n;
	
	int emisija[n];
	int recept[n];
	int scenario[n];
	
	for (int i = 1; i <= n; i++) {
		cin >> emisija[i];
	}
	
	for (int i = 1; i <= n; i++) {
		cin >> recept[i];
	}
	
	for (int i = 1; i <= n; i++) {
		cin >> scenario[i];
	}
	
	int x = 0;
	int brojac = 0;
	int broj = 0;
	
	for(int i = 1; i <= n; i++){	
		for (int j = 1; j <= n; j++) {
			if (emisija[i-1] == emisija[i]) {
			brojac += x;
			break;
		}
			int k = scenario[j];
			if (emisija[i] == recept[k]) {
				broj++;
				x += broj;
				broj = 0;
			}
		}
		
		brojac += x;
		x = 0;	
}
	
	cout << brojac;
	
	return 0;
}